Chromium Code Reviews
Help | Chromium Project | Sign in
(117)

Issue 2755813002: Begin to wean child processes off reliance on a persistent service_manager::Connection to the brows… (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks ago by Ben Goodger (Google)
Modified:
1 week ago
Reviewers:
Ken Rockot
CC:
alokp+watch_chromium.org, chfremer+watch_chromium.org, chromium-apps-reviews_chromium.org, chromium-reviews, darin-cc_chromium.org, einbinder+watch-test-runner_chromium.org, extensions-reviews_chromium.org, feature-media-reviews_chromium.org, halliwell+watch_chromium.org, harkness+watch_chromium.org, jam, jochen+watch_chromium.org, johnme+watch_chromium.org, lcwu+watch_chromium.org, mlamouri+watch-test-runner_chromium.org, mlamouri+watch-sensors_chromium.org, mlamouri+watch-content_chromium.org, Peter Beverloo, posciak+watch_chromium.org, riju_, timvolodine
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Begin to wean child processes off reliance on a persistent service_manager::Connection to the browser. Instead of relying on ChildThread vending an InterfaceProvider that everyone can ask for interfaces, instead it vends a Connector* that callsites use to connect to the browser. R=rockot@chromium.org Review-Url: https://codereview.chromium.org/2755813002 Cr-Commit-Position: refs/heads/master@{#458954} Committed: https://chromium.googlesource.com/chromium/src/+/649b3edd4d074b63688f31671cf36ca7cb8ff53b

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : . #

Patch Set 7 : . #

Patch Set 8 : . #

Patch Set 9 : . #

Patch Set 10 : . #

Patch Set 11 : . #

Patch Set 12 : . #

Patch Set 13 : . #

Patch Set 14 : . #

Patch Set 15 : . #

Patch Set 16 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+272 lines, -152 lines) Patch
M chrome/app/chrome_main.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/gpu/chrome_content_gpu_client.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/gpu/chrome_content_gpu_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +5 lines, -3 lines 0 comments Download
M chrome/renderer/chrome_content_renderer_client.cc View 1 2 3 4 5 6 7 4 chunks +14 lines, -7 lines 0 comments Download
M chrome/renderer/chrome_render_thread_observer.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M chrome/renderer/leak_detector/leak_detector_remote_client.cc View 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/renderer/net_benchmarking_extension.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M chromecast/renderer/cast_content_renderer_client.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M content/child/child_thread_impl.h View 1 2 3 2 chunks +1 line, -2 lines 0 comments Download
M content/child/child_thread_impl.cc View 1 2 3 4 5 6 7 8 9 4 chunks +4 lines, -12 lines 0 comments Download
M content/child/push_messaging/push_provider.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M content/gpu/gpu_child_thread.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -2 lines 0 comments Download
M content/ppapi_plugin/ppapi_thread.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M content/public/child/child_thread.h View 1 2 2 chunks +4 lines, -4 lines 0 comments Download
M content/public/gpu/content_gpu_client.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M content/public/test/mock_render_thread.h View 1 2 3 4 5 6 7 3 chunks +4 lines, -4 lines 0 comments Download
M content/public/test/mock_render_thread.cc View 1 2 3 4 5 6 7 2 chunks +6 lines, -8 lines 0 comments Download
M content/renderer/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/device_sensors/device_sensor_event_pump.h View 2 chunks +4 lines, -3 lines 0 comments Download
M content/renderer/gamepad_shared_memory_reader.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M content/renderer/media/video_capture_impl.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M content/renderer/mojo/blink_interface_provider_impl.h View 1 2 3 chunks +4 lines, -0 lines 0 comments Download
M content/renderer/mojo/blink_interface_provider_impl.cc View 1 2 2 chunks +18 lines, -4 lines 0 comments Download
M content/renderer/mojo/interface_provider_js_wrapper.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +14 lines, -3 lines 0 comments Download
M content/renderer/mojo/interface_provider_js_wrapper.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +48 lines, -10 lines 0 comments Download
M content/renderer/push_messaging/push_messaging_client.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M content/renderer/render_frame_impl.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -2 lines 0 comments Download
M content/renderer/render_thread_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 7 chunks +14 lines, -13 lines 0 comments Download
M content/renderer/renderer_blink_platform_impl.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M content/renderer/renderer_blink_platform_impl.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -3 lines 0 comments Download
M content/shell/renderer/layout_test/blink_test_runner.cc View 3 chunks +4 lines, -2 lines 0 comments Download
M content/test/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M services/resource_coordinator/public/cpp/memory/memory_dump_manager_delegate_impl.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +12 lines, -8 lines 0 comments Download
M services/resource_coordinator/public/cpp/memory/memory_dump_manager_delegate_impl.cc View 1 2 3 4 5 6 7 8 9 2 chunks +4 lines, -3 lines 0 comments Download
M services/service_manager/public/cpp/connector.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +23 lines, -0 lines 0 comments Download
M services/service_manager/public/cpp/lib/connector_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +9 lines, -0 lines 0 comments Download
M services/service_manager/public/cpp/lib/connector_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +21 lines, -2 lines 0 comments Download
M services/ui/public/cpp/gpu/gpu.h View 1 2 4 chunks +3 lines, -6 lines 0 comments Download
M services/ui/public/cpp/gpu/gpu.cc View 1 2 4 chunks +9 lines, -22 lines 0 comments Download
M ui/aura/mus/window_tree_client.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 75 (54 generated)
Ben Goodger (Google)
OK I think this should be good to go now (known bustage is fixed) but ...
1 week, 6 days ago (2017-03-16 19:52:13 UTC) #11
Ken Rockot
LGTM % redness - redness looks like trivial stuff
1 week, 6 days ago (2017-03-16 22:23:05 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/120001
1 week, 5 days ago (2017-03-17 22:33:52 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/172863) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
1 week, 5 days ago (2017-03-17 22:37:09 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/140001
1 week, 5 days ago (2017-03-18 00:01:34 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/329461)
1 week, 5 days ago (2017-03-18 00:14:36 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/160001
1 week, 2 days ago (2017-03-20 18:19:06 UTC) #39
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/330046)
1 week, 2 days ago (2017-03-20 18:30:29 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/180001
1 week, 2 days ago (2017-03-20 19:18:20 UTC) #44
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/377416)
1 week, 2 days ago (2017-03-20 19:34:08 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/200001
1 week, 2 days ago (2017-03-20 19:40:31 UTC) #49
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/410514)
1 week, 2 days ago (2017-03-20 19:51:41 UTC) #51
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/220001
1 week, 2 days ago (2017-03-20 21:40:28 UTC) #54
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/387219)
1 week, 2 days ago (2017-03-20 22:03:25 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/240001
1 week, 1 day ago (2017-03-21 22:20:50 UTC) #59
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/344788)
1 week, 1 day ago (2017-03-21 22:57:26 UTC) #61
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/260001
1 week ago (2017-03-22 19:22:15 UTC) #64
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/280001
1 week ago (2017-03-22 19:25:15 UTC) #67
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/345723)
1 week ago (2017-03-22 20:42:38 UTC) #69
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755813002/300001
1 week ago (2017-03-22 22:26:47 UTC) #72
commit-bot: I haz the power
1 week ago (2017-03-23 00:33:00 UTC) #75
Message was sent while issue was closed.
Committed patchset #16 (id:300001) as
https://chromium.googlesource.com/chromium/src/+/649b3edd4d074b63688f31671cf3...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46